### ZhiqimHelloworld
---------------------------------------
ZhiqimHelloworld是知启蒙框架的第一个示例，展示如何使用知启蒙内核（Zhiqim Kernel）配置Java环境、微服务、启动和关闭进程，以及编写一个线程服务并循环运行！

<br>

### 一、组建工程
---------------------------------------
1、新建“工程”-->“知启蒙”-->“知启蒙Java工程”；<br>
2、在“知启蒙Java工程”界面，输入工程名“ZhiqimHelloworld”，选择工作空间路径<br>
3、其他项目可以默认<br>

<br>

### 二、编写和配置Helloworld
---------------------------------------
1、在src目录下新建package名org.zhiqim.example.hello<br>
2、在org.zhiqim.example.hello下新建类HelloWorld.java<br>
3、编写HelloWorld.java类继承自Servicer，实现Runnable接口<br>
4、定义静态常量Log<br>
5、编写必须的方法public boolean create() throws Exception<br>
6、在create方法中编写log.info("hello world");return true;<br>
7、在conf/zhiqim.xml中[service]组中配置HelloWorld服务<br>

<br>

### 三、调试
---------------------------------------
1、在菜单Run中找到Debug Configurations或在工具栏bug图标右边向下箭头找到Debug Configurations<br>
2、进入Debug Configurations选择左侧Java Application，新建<br>
3、配置Java Application名称为ZhiqimHelloworld，工程选择ZhiqimHelloworld，Main class选择org.zhiqim.kernel.Zhiqim<br>
4、Apply并Debug，则调试状态下运行<br>

<br>

### 四、发布并运行
---------------------------------------
1、右键工程，选择导出“知启蒙”-->“知启蒙工程”<br>
2、在导出向导中，输入发布目录、勾选是否生成目录和是否生成zip压缩文件<br>
3、在导出向导中，输入Jar名称，其他项可选<br>
4、在导出的目录中点选zhiqim.exe运行即可看结果<br>

![Helloworld](https://zhiqim.org/document/inc/www/bestcase/hello_run_windows.png "Helloworld")<br>

<br>

### 知启蒙技术框架与交流
---------------------------------------
![知启蒙技术框架架构图](https://zhiqim.org/project/images/101431_93f5c39d_2103954.jpeg "知启蒙技术框架架构图.jpg")<br><br>
QQ群：加入QQ交流群，请点击[【458171582】](https://jq.qq.com/?_wv=1027&k=5DWlB3b) <br><br>
教程：欲知更多知启蒙示例，[【请戳这里】](https://www.zhiqim.com/document/bestcase/index.htm)