/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel;

/**
 * 工程定义的多例接口，实现多例接口的类，在注册到Global时会以多例List<?>方式保存多份，否则视为单例仅保存一份
 * 
 * @version v1.0.0 @author zouzhigang 2014-2-27 新建与整理
 */
public interface MultiInstance
{
    /** 设置全局变量中多例模式中的索引号 */
    public void setIndex(int index);
    
    /** 获取全局变量中多例模式中的索引号 */
    public int getIndex();

}
